Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn._1_0.core
Class FamilyHistoryCompositionType

    java.lang.Object
      be.fgov.ehealth.consultrn._1_0.core.FamilyHistoryCompositionType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2020-03-19T04:21:54+01:00",
               comments="JAXB RI v2.2.11")
    public class FamilyHistoryCompositionType

extends Object
implements Serializable

The family Composition

Java class for FamilyHistoryCompositionType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FamilyHistoryCompositionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="FamilyMember" type="{urn:be:fgov:ehealth:consultRN:1_0:core}FamilyMemberType" maxOccurs="100" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FamilyHistoryCompositionType()`

Method Summary
`List<FamilyMemberType>` | `getFamilyMembers()` Gets the value of the familyMembers property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FamilyHistoryCompositionType

    public FamilyHistoryCompositionType()

Method Detail

### getFamilyMembers

    public List<FamilyMemberType> getFamilyMembers()

  Gets the value of the familyMembers property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the familyMembers property.

  For example, to add a new item, do as follows:

          getFamilyMembers().add(newItem);

  Objects of the following type(s) are allowed in the list `FamilyMemberType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.19.1 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.